function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;		
	    BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("photolab",6,0);
		--Emitters(true);
		DarkScreen(false);
		if flags.minicomplete2 then
		    StopEmiter("Micro")	
			flags.minitext2=true;
			Set_Cursor(14,3);
			speciale_action(2,28,true);
			Set_Cursor(28,2);

		return; end;	
		-- loadresource("data\\2\\1\\0028.png","a0102",102);
		-- addactivobjecttogame(102,"a0102",0,2000,"","");		
		-- AddElement("gr",102);
	return; end;

	if sender==36 then
	if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("photolab");
	return;end;	
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;		
	if sender==10 then
		flags.minicomplete2=true;
		playeffect("miniC");
		StartTimer(2100,1);
		BlockCursor(true);
	return; end;

	if sender==26 then
		if id==100 then
			if objectid==1003 then 
				SetObjectPosition(objectid,663,207);
				objectid=0;
			end;
			if objectid==1004 then 
				SetObjectPosition(objectid,666,383);
				objectid=0;
			end;	
			if ok then
				finish_mini_game(true);
			return;end;  
		return;end;
		if id==1 then
			speciale_action(2,1002);
			speciale_action(2,1003);
		return;end;
		
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
	
		if id==6000 then
		   CreateWindow(200,200,"3",100,"messageinfo")
		return;end;	
		if id==5000 and skipping and attachedID==-1 then
			if not flags.minicomplete2 then
			playeffect("skip");
				finish_mini_game(true);
			return;end;	
		return;end;	
		
		if id==1000 and attachedID==-1 then
			playeffect("close");
		    clear_satelite_leaf("photolab");
		    finish_mini_game(false);
			DeleteResource("bm1_btn")
			DeleteResource("bm1_lens")
			DeleteResource("bm1_photo")
			DeleteResource("bm1_ashes1")	
			DeleteResource("bm1_ashes2")	
			DeleteResource("bm1_bg")				
		return;end;
	return;end;
	
	if sender==8128 then
	    if not flags.photo then
			if id>=PhotoX and id<=PhotoX+Phwidth and attachedID>=PhotoY and attachedID<=PhotoY+Phheight then
				add_to_mouse(1002);
				objectid=1002;
				speciale_action(4,1001);
				rX=id-PhotoX;
				rY=attachedID-PhotoY;			
				mousepressed=true;		
			return;end;	
		return;end;	
		if id>=Ashes1X and id<=Ashes1X+width and attachedID>=Ashes1Y and attachedID<=Ashes1Y+height then
			if not ashes1 then
				add_to_mouse(1003);
				objectid=1003;
				speciale_action(4,1001);
				rX=id-Ashes1X;
				rY=attachedID-Ashes1Y;			
				mousepressed=true;		
			return;end;
		return;end;
		if id>=Ashes2X and id<=Ashes2X+width and attachedID>=Ashes2Y and attachedID<=Ashes2Y+height then
			if not ashes2 then
				add_to_mouse(1004);
				objectid=1004;
				speciale_action(4,1001);
				rX=id-Ashes2X;
				rY=attachedID-Ashes2Y;				
				mousepressed=true;	
			return;end;				
		return;end;		
	return;end;	
	
	if sender==8129 then
		if mousepressed then
			mousepressed=false;		
			RemoveFromMouse(objectid);
			x_id=id-rX;
			y_id=attachedID-rY;	
			if objectid==1002 then
				PhotoX=x_id;
				PhotoY=y_id
			end;
			if objectid==1003 then
				Ashes1X=x_id;
				Ashes1Y=y_id
			end;
			if objectid==1004 then
				Ashes2X=x_id;
				Ashes2Y=y_id
			end;			
			speciale_action(4,1001);
		
			if flags.photo then
				if x_id>=200 and x_id<=280 and y_id>=210 and y_id<=434 then
				SetObjectPosition(objectid,218,230);
					if objectid==1003 then
						ashes1=true;
					end;
					if objectid==1004 then
						ashes2=true;
					end;	
					if second then
						CreateWindow(100,100,"222",100);
						ok=true
					return;end;
					second=true;
					CreateWindow(100,100,"221",100);
				return;end;					
				if objectid==1003 then 
					Ashes1X=663;
					Ashes1Y=207					
					SetObjectPosition(objectid,663,207);
					objectid=0;
				return;end;
				if objectid==1004 then 
					Ashes2X=666;
					Ashes2Y=383;
					SetObjectPosition(objectid,666,383);	
					objectid=0;	
				return;end;
			return;end;
			if x_id>=150 and x_id<=370 and y_id>=50 and y_id<=250 then
				SetObjectPosition(objectid,176,113);
				if objectid==1002 then
					CreateWindow(100,100,"220",1);
					flags.photo=true;					
				return;end;
			return;end;						
		return;end;
	return;end;	
	
end;
function mini_delete ()

end;